# Uses of Interface
java.lang.classfile.constantpool.StringEntry

Packages that use StringEntry
Package
Description
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of StringEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return StringEntry
Modifier and Type
Method
Description
`StringEntry`
ConstantPoolBuilder.`stringEntry(Utf8Entry utf8)`
Returns a `StringEntry` referring to a `Utf8Entry`.
`default StringEntry`
ConstantPoolBuilder.`stringEntry(String value)`
Returns a `StringEntry` describing the provided value.